Skip to main content
`Ctrl`+`K`
scipy.

# show_config

scipy.show_config(mode='stdout')

  Show libraries and system information on which SciPy was built and is being used

  Parameters:
    mode{‘stdout’, ‘dicts’}, optional.

      Indicates how to display the config information. ‘stdout’ prints to console, ‘dicts’ returns a dictionary of the configuration.

  Returns:
    out{dict, None}

      If mode is ‘dicts’, a dict is returned, else None

  Notes

  1. The ‘stdout’ mode will give more readable output if `pyyaml` is installed

  Examples

      >>> import scipy
      >>> scipy.show_config()
      ... # formatted output is printed to the console

      >>> config_dict = scipy.show_config(mode='dicts')
      >>> list(config_dict.keys())
      ['Compilers', 'Machine Information', 'Build Dependencies', 'Python Information']